ContractNamespace
Date: 2016-06-25

org.osgi.namespace.contract

## Class ContractNamespace

- java.lang.Object
- - org.osgi.resource.Namespace
  - - org.osgi.namespace.contract.ContractNamespace

-     public final class ContractNamespace
      extends org.osgi.resource.Namespace

  Contract Capability and Requirement Namespace.

  This class defines the names for the attributes and directives for this namespace. All unspecified capability attributes are of type `String` and are used as arbitrary matching attributes for the capability. The values associated with the specified directive and attribute keys are of type `String`, unless otherwise indicated.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CAPABILITY_VERSION_ATTRIBUTE` The capability attribute contains the `Version` of the specification of the contract.
    `static java.lang.String` | `CONTRACT_NAMESPACE` Namespace name for contract capabilities and requirements.

    - ### Fields inherited from class org.osgi.resource.Namespace

      `CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTRACT_NAMESPACE

          public static final java.lang.String CONTRACT_NAMESPACE

      Namespace name for contract capabilities and requirements.

      Also, the capability attribute used to specify the name of the contract.

      See Also:
        Constant Field Values

    - #### CAPABILITY_VERSION_ATTRIBUTE

          public static final java.lang.String CAPABILITY_VERSION_ATTRIBUTE

      The capability attribute contains the `Version` of the specification of the contract. The value of this attribute must be of type `Version`.
      See Also:
        Constant Field Values